package com.ms.biz.service.impl;

import com.ms.biz.service.PlatformPurchaseOrderService;
import com.ms.dal.entity.PlatformPurchaseOrder;
import com.ms.dal.mapper.PlatformPurchaseOrderMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class PlatformPurchaseOrderServiceImpl implements PlatformPurchaseOrderService {

    @Autowired
    private PlatformPurchaseOrderMapper platformPurchaseOrderMapper;

    @Override
    public int deleteByPrimaryKey(String id) {
        return platformPurchaseOrderMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(PlatformPurchaseOrder record) {
        return platformPurchaseOrderMapper.insert(record);
    }

    @Override
    public int insertSelective(PlatformPurchaseOrder record) {
        return platformPurchaseOrderMapper.insertSelective(record);
    }

    @Override
    public PlatformPurchaseOrder selectByPrimaryKey(String id) {
        return platformPurchaseOrderMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(PlatformPurchaseOrder record) {
        return platformPurchaseOrderMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(PlatformPurchaseOrder record) {
        return platformPurchaseOrderMapper.updateByPrimaryKey(record);
    }

}




